# Generated by Django 3.2 on 2022-05-03 10:23

from django.db import migrations


class Migration(migrations.Migration):

    dependencies = [
        ('relatorios', '0010_auto_20220503_0721'),
    ]

    operations = [

        migrations.RunSQL(
            """
            DROP VIEW IF EXISTS relatorios_cadastrosterritorios;
            CREATE OR REPLACE VIEW relatorios_cadastrosterritorios AS
            WITH data AS (
                SELECT EXTRACT(EPOCH FROM date_trunc('day', criacao)) AS dia,
                       count(1)                                       AS ct
                FROM main_territorio
                WHERE
                    deleted is null AND
                    teste is false
                GROUP BY 1
            )
            SELECT row_number() OVER ()                                                             AS id,
                   dia,
                   sum(ct) OVER (ORDER BY dia ASC ROWS BETWEEN UNBOUNDED PRECEDING AND CURRENT ROW) AS qtd_territorios
            FROM data;
            """),

    ]
